Subject: I-D Action: draft-cel-nfsv4-rpc-tls-pseudoflavors-02.txt

From: [email-masked]
Date: Mon, 27 Dec 2021 13:16:19 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Pseudo-flavors for Remote Procedure Calls with Transport Layer Security
        Author          : Charles Lever
	Filename        : draft-cel-nfsv4-rpc-tls-pseudoflavors-02.txt
	Pages           : 14
	Date            : 2021-12-27

Abstract:
   Recent innovations in Remote Procedure Call (RPC) transport layer
   security enable broad deployment of encryption and mutual peer
   authentication when exchanging RPC messages.  These security
   mechanisms can protect peers who continue to use the AUTH_SYS RPC
   auth flavor, which is not cryptographically secure, on open networks.
   This document introduces RPC auth pseudo-flavors that an RPC service
   can use to indicate transport layer security requirements for
   accessing that service, and a mechanism the service can use to
   enforce those requirements.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-cel-nfsv4-rpc-tls-pseudoflavors/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-cel-nfsv4-rpc-tls-pseudoflavors-02.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-cel-nfsv4-rpc-tls-pseudoflavors-02

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts